#include <bits/stdc++.h>

using namespace std;

const int MAXN = 200002;
int brManjihOdPrethodnog[MAXN];
int a[MAXN];

void querry()
{
    int l, r;
    cin >> l >> r;
    for (int i = l+1; i <= r-1; i++)
    {
        if (brManjihOdPrethodnog[i-1] - brManjihOdPrethodnog[l] == 0
                && brManjihOdPrethodnog[r] - brManjihOdPrethodnog[i+1] == 0
                && a[i-1] <= a[i+1])
        {
            cout << "DA\n";
            return;
        }
    }
    if (brManjihOdPrethodnog[r] - brManjihOdPrethodnog[l+1] == 0
            || brManjihOdPrethodnog[r-1] - brManjihOdPrethodnog[l] == 0)
    {
        cout << "DA\n";
        return;
    }
    cout << "NE\n";
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

#ifdef OKRUZNOMAKS
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w",stdout);
#endif // OKRUZNOMAKS

    int n;
    cin >> n;
    for (int i = 1; i <= n; i++)
    {
        cin >> a[i];
    }
    for (int i = 2; i <= n; i++)
    {
        brManjihOdPrethodnog[i] = brManjihOdPrethodnog[i-1] + (a[i] < a[i-1] ? 1 : 0);
    }
    int q;
    cin >> q;
    while(q--)
    {
        querry();
    }

    return 0;
}